[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#609964: marked as done (use blkid to correctly set UUID for RESUME)



Your message dated Fri, 13 May 2011 12:32:35 +0000
with message-id <E1QKrXn-0000U4-Fl@franck.debian.org>
and subject line Bug#609964: fixed in initramfs-tools 0.99
has caused the Debian Bug report #609964,
regarding use blkid to correctly set UUID for RESUME
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
609964: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609964
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: initramfs-tools
Version: 0.98.7
Severity: important
Tags: patch

Hi,

while looking at initramfs-tools.preinst code, I noticed that it still
uses vol_id, which is no longer shipped in squeeze.
As a result, UUID will never be set.

The attached patch used blkid, which is both shipped in lenny and
squeeze (e2fsprogs resp. util-linux). Both are essential packages, so I
added no further checks.

A quick test with the attached patch  on a lenny and squeeze system was
successful.

Cheers,
Michael


-- Package-specific info:
-- initramfs sizes
-rw-r--r-- 1 root root 13M Jan 12 22:47 /boot/initrd.img-2.6.32-5-686
-rw-r--r-- 1 root root 11M Jan  7 04:51 /boot/initrd.img-2.6.37
-- /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.37 root=UUID=9a6d2bd2-58d1-4a75-baff-166b8637e3cc ro quiet splash

-- resume
RESUME=LABEL=Swap
-- /proc/filesystems
	ext2
	ext3
	ext4
	fuseblk

-- lsmod
Module                  Size  Used by
ppp_async               5321  0 
ipw2200               109276  0 
michael_mic             1498  4 
arc4                     986  2 
ecb                     1417  2 
lib80211_crypt_tkip     6563  1 
aes_i586                6820  1 
aes_generic            25726  1 aes_i586
lib80211_crypt_ccmp     3593  1 
sco                     6144  2 
rfcomm                 23650  8 
bnep                    7540  2 
l2cap                  27437  16 rfcomm,bnep
binfmt_misc             4925  1 
acpi_cpufreq            4513  0 
mperf                    803  1 acpi_cpufreq
ppdev                   4145  0 
cpufreq_userspace       1396  0 
lp                      5693  0 
cpufreq_stats           1944  0 
cpufreq_powersave        614  0 
vboxnetadp              5278  0 
cpufreq_conservative     6154  0 
vboxnetflt             12943  0 
vboxdrv               125804  2 vboxnetadp,vboxnetflt
fuse                   46818  3 
usblp                   7831  0 
snd_intel8x0           19539  1 
snd_intel8x0m           8112  0 
snd_ac97_codec         77252  2 snd_intel8x0,snd_intel8x0m
pcmcia                 25159  0 
ac97_bus                 718  1 snd_ac97_codec
btusb                   8113  2 
libipw                 18299  1 ipw2200
snd_pcm                47284  3 snd_intel8x0,snd_intel8x0m,snd_ac97_codec
cfg80211               96303  2 ipw2200,libipw
bluetooth              38051  9 sco,rfcomm,bnep,l2cap,btusb
yenta_socket           16338  0 
snd_seq                34617  0 
i2c_i801                6218  0 
lib80211                2746  4 ipw2200,lib80211_crypt_tkip,lib80211_crypt_ccmp,libipw
pcmcia_rsrc             7344  1 yenta_socket
snd_timer              12129  2 snd_pcm,snd_seq
pcmcia_core             8201  3 pcmcia,yenta_socket,pcmcia_rsrc
smsc_ircc2              8948  0 
psmouse                39035  0 
snd_seq_device          3661  1 snd_seq
parport_pc             15927  1 
snd                    33366  9 snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_pcm,snd_seq,snd_timer,snd_seq_device
processor              21812  2 acpi_cpufreq
shpchp                 18255  0 
rng_core                2298  0 
parport                22182  3 ppdev,lp,parport_pc
soundcore               3390  1 snd
video                   9844  0 
serio_raw               2912  0 
snd_page_alloc          4921  3 snd_intel8x0m,snd_intel8x0,snd_pcm
pci_hotplug            16947  1 shpchp
rfkill                 10452  4 cfg80211,bluetooth
irda                   71565  1 smsc_ircc2
crc_ccitt               1043  2 ppp_async,irda
tpm_tis                 5452  0 
pcspkr                  1215  0 
evdev                   5796  16 
joydev                  7007  0 
thermal_sys             9274  2 processor,video
tpm                     8097  1 tpm_tis
tpm_bios                3577  1 tpm
output                  1216  1 video
button                  3626  0 
container               1865  0 
battery                 4306  0 
ac                      1700  0 
dm_mod                 47476  0 
ppp_generic            16504  1 ppp_async
slhc                    3551  1 ppp_generic
loop                   10615  0 
autofs4                16222  7 
hid_microsoft           1931  0 
usbhid                 26611  0 
hid                    51772  2 hid_microsoft,usbhid
usb_storage            30441  0 
uas                     5555  0 
radeon                621388  2 
uhci_hcd               15810  0 
ttm                    36671  1 radeon
ehci_hcd               28136  0 
wbsd                    8558  0 
drm_kms_helper         19531  1 radeon
sg                     15973  0 
8139too                14414  0 
drm                   118815  4 radeon,ttm,drm_kms_helper
usbcore                95726  8 usblp,btusb,usbhid,usb_storage,uas,uhci_hcd,ehci_hcd
firewire_ohci          19546  0 
sr_mod                 11018  0 
mmc_core               45379  1 wbsd
8139cp                 13066  0 
firewire_core          35038  1 firewire_ohci
cdrom                  26530  1 sr_mod
i2c_algo_bit            3389  1 radeon
crc_itu_t               1013  1 firewire_core
mii                     2694  2 8139too,8139cp
nls_base                4489  1 usbcore

-- /etc/initramfs-tools/modules

-- /etc/kernel-img.conf
# Kernel image management overrides
# See kernel-img.conf(5) for details
do_symlinks = no
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no

-- /etc/initramfs-tools/initramfs.conf
MODULES=most
BUSYBOX=y
KEYMAP=n
COMPRESS=gzip
BOOT=local
DEVICE=
NFSROOT=auto

-- /etc/initramfs-tools/update-initramfs.conf
update_initramfs=yes
backup_initramfs=no

-- /etc/crypttab
# <target name>	<source device>		<key file>	<options>

-- mkinitramfs hooks
/etc/initramfs-tools/hooks/:

/usr/share/initramfs-tools/hooks:
busybox
cryptgnupg
cryptopenct
cryptopensc
cryptpassdev
cryptroot
dmsetup
keymap
klibc
plymouth
thermal
udev


-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initramfs-tools depends on:
ii  cpio                          2.11-6     GNU cpio -- a program to manage ar
ii  findutils                     4.4.2-1+b1 utilities for finding files--find,
ii  klibc-utils                   1.5.20-1   small utilities built with klibc f
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  udev                          164-3      /dev/ and hotplug management daemo

Versions of packages initramfs-tools recommends:
ii  busybox                       1:1.17.1-8 Tiny utilities for small and embed

Versions of packages initramfs-tools suggests:
ii  bash-completion               1:1.2-3    programmable completion for the ba

-- no debconf information
diff --git a/debian/initramfs-tools.preinst b/debian/initramfs-tools.preinst
index bb58684..4c587b7 100644
--- a/debian/initramfs-tools.preinst
+++ b/debian/initramfs-tools.preinst
@@ -20,11 +20,7 @@ case "$1" in
 		# First time install.  Can we autodetect the RESUME partition?
 		if [ -r /proc/swaps ]; then
 			RESUME=$(tail -n $(($(wc -l /proc/swaps | awk ' { print $1 } ') - 1)) /proc/swaps | sort -rk3 | head -n 1 | awk ' { print $1 } ')
-			if command -v vol_id >/dev/null 2>&1; then
-				UUID=$(vol_id -u "$RESUME" || true)
-			elif [ -x /lib/udev/vol_id ]; then
-				UUID=$(/lib/udev/vol_id -u "$RESUME" || true)
-			fi
+			UUID=$(blkid -o value -s UUID "$RESUME" || true)
 			if [ -n "$UUID" ]; then
 				RESUME="UUID=$UUID"
 			fi

--- End Message ---
--- Begin Message ---
Source: initramfs-tools
Source-Version: 0.99

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.99.dsc
  to main/i/initramfs-tools/initramfs-tools_0.99.dsc
initramfs-tools_0.99.tar.gz
  to main/i/initramfs-tools/initramfs-tools_0.99.tar.gz
initramfs-tools_0.99_all.deb
  to main/i/initramfs-tools/initramfs-tools_0.99_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 May 2011 23:38:18 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.99
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 338405 454934 501969 502792 506540 594189 596742 603858 603903 606806 609964 611046 612633 619670 620924 621803 625224 626446
Changes: 
 initramfs-tools (0.99) unstable; urgency=low
 .
   Release "scarpe rotte e pur bisogna andar"
 .
   [ maximilian attems ]
   * [ce45cd0] update-initramfs: Show the mkinitramfs on error message.
   * [5b84e5b] maintainer-notes.html: Fix email to send patches to.
   * [ec6a77f] doc: s/ressources/resources/
   * [3c717fa] initramfs-tools: preinst use blkid for uuid generation if around.
     (Closes: #609964)
   * [8e2ffcd] postinst cleanup very old dpkg trigger comparison.
   * [78cdb26] mkinitramfs: Add support for xz compression. (closes: #626446)
   * [f5b8347] hook-functions: Cleanup ref to ide-disk.
   * [6cab0ec] initramfs-tools: cleanup any usplash traces. (closes: #620924)
   * [08d4895] initramfs-tools: Remove mkinitramfs-kpkg.
     (Closes: #454934, #502792)
   * [0ed6376] initramfs-tools: add hid_sunplus to listed keyboard drivers.
   * [5f53d3b] init: load netconsole after loading network drivers.
     Thanks Ferenc Wagner <wferi@niif.hu> (Closes: #596742)
   * [7ff2998] debian/copyright: Update authorlist and year attribution.
   * [e789cdd] maintainer-notes: Use git dch --multimaint-merge on examples.
   * [17296ff] dep_add_modules: Use hidden_dep_add_modules for ubifs.
   * [3d44bfb] hidden_dep_add: Use mika's variadic function from $2 on.
   * [8f8299d] mkinitramfs: copy over on build instead of using symlink tree.
     (Closes: #338405, #506540)
   * [f5afa6a] mkinitramfs: Add lib search path + run full ldconfig in
     initramfs. (Closes: #612633, #619670)
   * [259ad09] mkinitramfs: creat /run initramfs directory.
   * [5add333] initramfs-tools: init mount /run tmpfs.
   * [74109b9] init: No need to touch /dev/.initramfs.
   * [8e7620a] hook-functions: xhci-hcd got renamed. (Closes: #625224)
     Thanks to Matthew Wilcox <willy@linux.intel.com>
 .
   [ Tim Small ]
   * [1fe9f78] Add Documentation for modules=list in initramfs.conf(5).
     (Closes: #603903)
 .
   [ Ben Hutchings ]
   * [c018886] kernel hooks: Treat missing version argument as an error.
   * [58ee42c] kernel hooks: Enable error-exit (sh -e).
   * [7866542] update-initramfs: Depend on kernel hook scripts rather than
     $ramdisk invocation.
   * [43fe8e6] update-initramfs: Remove support for 'do_bootloader' and
     specific boot loaders. (closes: #594189)
 .
   [ Gianluigi Tiesi ]
   * [9c25269] mkinitramfs: misleading message in verbose mode.
     (Closes: #611046)
 .
   [ Timo Juhani Lindfors ]
   * [871ffe7] initramfs-tools: Make panic message visible even if panic=
     is used.
   * [2525b00] initramfs-tools: Inform the user about reboot on panic=.
 .
   [ Michael Prokop ]
   * [465a5f1] hidden_dep_add_modules(): make it dynamically to support more
     than 3 arguments as well.
   * [3323930] Use --check=crc32 option for xz compression.
     Thanks to Ulrich Dangel <mru@grml.org>
   * [bedf1e3] Use -8 for compression with xz.
   * [adce374] docs: fix wording ("allows *one* to") to make lintian happy.
   * [ecbc54a] Bump Standards-Version to 3.9.2.
 .
   [ Evan Broder ]
   * [ad1a594] initramfs-tools: Fix handling of numeric root= arguments to be
      udev-friendly. (Closes: #501969, #606806)
 .
   [ Christian Hofstaedtler ]
   * [e34eca4] init: move /proc after moving other filesystems.
 .
   [ Roger Leigh ]
   * [10990ab] init: Preserve state on old boxes without /run on rootfs.
   * [4d08c2e] init: sync mount options with the defaults in initscripts.
     (Closes: #621803)
   * [20c43ce] init: Don't use "none" as a mount fsname (Closes: #603858)
 .
   [ Michael Tokarev ]
   * [ec83abd] mkinitramfs: No need to warn about md-root busybox dep.
Checksums-Sha1: 
 bfe072cb51cc028aba1e7fefbd067690dba4ce22 965 initramfs-tools_0.99.dsc
 3efd8d3f5ddeed373af53f029a60e5a169cf7fe8 83627 initramfs-tools_0.99.tar.gz
 c18db8de2b3413bf49fc42dc0c05188f4c7e45b6 89558 initramfs-tools_0.99_all.deb
Checksums-Sha256: 
 e86ca92ea5febebc0eae4d2ced831c3bca787de30e01614973f0d81d4112d659 965 initramfs-tools_0.99.dsc
 8db379fcbbc4dd81c2f22c955b1c1ff4883a9f7b9187d037f7b19752b0c56226 83627 initramfs-tools_0.99.tar.gz
 83e6ebc00d318f5d2a1c7da01b70d3196c0067dc9aa74142bfddd7959931871e 89558 initramfs-tools_0.99_all.deb
Files: 
 524ea435f52c3ed4d5769e6a567983bb 965 utils optional initramfs-tools_0.99.dsc
 d8b2711f25f287724d954f8c495de5f2 83627 utils optional initramfs-tools_0.99.tar.gz
 06201e844ab0d57325274df01c306b62 89558 utils optional initramfs-tools_0.99_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3NIWUACgkQeW7Lc5tEHqj8+gCfcJQgxk9b6fK5aPfqfA4t7Ws1
zzYAn08PN8VceR+cAalWwL50zvuqQER3
=z9JG
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: